Bug 459858 - Review Request: ibus-table - The general table engine for IBus platform
Review Request: ibus-table - The general table engine for IBus platform
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 23:21 EDT by Peng Huang
Modified: 2008-08-24 18:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-24 18:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2008-08-22 23:21:28 EDT
Spec URL: http://ibus.googlecode.com/files/ibus-table.spec
SRPM URL: http://ibus.googlecode.com/files/ibus-table-0.1.1.20080823-1.fc9.src.rpm
Description: The general table engine for IBus platform
Comment 1 Parag AN(पराग) 2008-08-23 10:56:45 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=781102
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
1cfc4d7492b276aae3c5bb685182af75  ibus-table-0.1.1.20080823.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are correct
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.

Suggestions:-
you should correct license file COPYING to GPLv2 text.
Use make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install to preserve
timestamps.

APPROVED.

are you going to submit ibus-table-zhengma, ibus-table-wubi these packages also or will be adding in future releases?
Comment 2 Peng Huang 2008-08-23 19:29:36 EDT
New Package CVS Request
=======================
Package Name: ibus-table
Short Description: The general table engine for IBus platform
Owners: phuang
Branches: F-9 EL-5
InitialCC: phuang
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-24 14:59:50 EDT
cvs done.
Comment 4 Peng Huang 2008-08-24 18:53:01 EDT
built it.
Thanks for Kevin & Parag.

Note You need to log in before you can comment on or make changes to this bug.